package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.LuckDrawCount;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface LuckDrawCountDao extends BaseDAO<Long, LuckDrawCount> {

	public LuckDrawCount getLock(Long userId);

	LuckDrawCount findByIdAndGroupId(@Param("userId") Integer userId, @Param("groupId") int groupId);

	LuckDrawCount findLockByIdAndGroupId(@Param("userId") Integer userId, @Param("groupId") int groupId);
}